/*
    Program, ktery provede vynasobeni dvou matic a(m/p), b(p/n)
    realnych cisel. Vysledek bude ulozen v matici c(m/n).
*/

#include <stdio.h>

#define M 3
#define N 2
#define P 4

int main(void)
{
    double a[M][P]={
                     { 1, 2, -1,  0},
                     { 0, 1, -1, -7},
                     {-8, 0,  0, -5}
                   };
    double b[P][N]={
                     { 3,  2},
                     {-4,  1},
                     { 1,  0},
                     {-2, -3}
                   };
    double c[M][N];
    unsigned short i,j,k;

    for(i=0; i<M; i++)
      for(j=0; j<N; j++)
      {
        c[i][j]=0;
        for(k=0; k<P; k++)
          c[i][j]=c[i][j]+a[i][k]*b[k][j];
      }

    puts("Matice A:");
    for(i=0; i<M; i++)
    {
      for(j=0; j<P-1; j++)
        printf("%8.3f",a[i][j]);
      printf("%8.3f\n",a[i][P-1]);
    }

    puts("\nMatice B:");
    for(i=0; i<P; i++)
    {
      for(j=0; j<N-1; j++)
        printf("%8.3f",b[i][j]);
      printf("%8.3f\n",b[i][N-1]);
    }

    puts("\nMatice C:");
    for(i=0; i<M; i++)
    {
      for(j=0; j<N-1; j++)
        printf("%8.3f",c[i][j]);
      printf("%8.3f\n",c[i][N-1]);
    }

    return 0;
}
